> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# What is coming up on a record

> Everything on the record with a date in the future — snoozed conversations
waking, pipeline due dates and date-typed attributes, merged and sorted.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json get /records/{recordType}/{recordId}/upcoming
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /records/{recordType}/{recordId}/upcoming:
    get:
      tags:
        - Records
      summary: What is coming up on a record
      description: >-
        Everything on the record with a date in the future — snoozed
        conversations

        waking, pipeline due dates and date-typed attributes, merged and sorted.
      operationId: Upcoming
      parameters:
        - in: path
          name: recordType
          required: true
          schema:
            type: string
        - in: path
          name: recordId
          required: true
          schema:
            type: string
        - in: header
          name: project
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/UpcomingItem'
                type: array
      security:
        - jwt: []
components:
  schemas:
    UpcomingItem:
      properties:
        kind:
          type: string
          enum:
            - SNOOZE
            - PIPELINE
            - ATTRIBUTE
        id:
          type: string
        title:
          type: string
        detail:
          type: string
        date:
          type: string
          format: date-time
      required:
        - kind
        - id
        - title
        - date
      type: object
      additionalProperties: false
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````